man(1)

NAME
srpc_generator - generates the intermediate code according to input IDL files.

SNYNOPSIS
srpc_generator <IDL_TYPE> <IDL_FILE> <OUTPUT_DIR>

DESCRIPTION
Generate intermediate code according to the Interface Description Language (IDL) file.

OPTIONS

  mandatory:

<IDL TYPE>
    The supported IDL_TYPEs are protobuf and thrift.

<IDL FILE>
    IDL_FILE is the top IDL file name. Only need to input one file name and the correlated files will be parsed recursively.

<OUTPUT DIRECTORY>
    The generated code file will be placed in the OUTPUT_DIR directory.

BUGS
No known bugs.

AUTHOR
Lance Lin (LQi254@protonmail.com))